add_subdirectory (VTK)
add_subdirectory (Visualization)
add_subdirectory (Core)
add_subdirectory (Cuda)
add_subdirectory (Common) 
add_subdirectory (Tools)
#add_subdirectory (OpenCL)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

#-----------------------------------------------------------------------------
# Declare RITK include directories. Only list mandatory ones
#-----------------------------------------------------------------------------
SET(RITK_INCLUDE_DIRS
	${TOOLS_INCLUDE_DIRS}
	${COMMON_INCLUDE_DIRS}
	${CORE_INCLUDE_DIRS}
	CACHE INTERNAL ""
)

#-----------------------------------------------------------------------------
# Declare RITK libraries. Only list mandatory ones
#-----------------------------------------------------------------------------
SET(RITK_LIBRARIES
	${TOOLS_LIBRARY}
	${COMMON_LIBRARY}
	${CORE_LIBRARY}
	CACHE INTERNAL ""
)

SET(RITK_LIBRARIES_DEBUG
	${TOOLS_LIBRARY}d
	${COMMON_LIBRARY}d
	${CORE_LIBRARY}d
	CACHE INTERNAL ""
)
